
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Simple JavaScript Inheritance--一个极简JS继承库 / 憋错料</title>

    <meta name="description" content="Simple JavaScript Inheritance--一个极简JS继承库 面向对象 面向对象思想的几个重要特征(针对类的要求): 抽象-封装.信息隐藏(将内部实现的方法和数据隐藏, 定义开放的接口) 继承-子类可以使用父类的资源,并可以定制自己的资源, 资源包括方法和数据 多态-重载(同名函数).覆盖(继承的基础上重写父类函数) JS与面向对象 javascript使用prototype实现类的继承功能, 非经典面向对象语言的类的形式, 使用方法也不同, 导致使用较困难. 请参考大师的&lt;深入理解javascript原型和闭包系列&gt; http://www.c ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">Simple JavaScript Inheritance--一个极简JS继承库</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<h1>面向对象</h1>
<p>面向对象思想的几个重要特征（针对类的要求）：</p>
<p>抽象-封装、信息隐藏（将内部实现的方法和数据隐藏， 定义开放的接口）</p>
<p>继承-子类可以使用父类的资源，并可以定制自己的资源， 资源包括方法和数据</p>
<p>多态-重载（同名函数）、覆盖（继承的基础上重写父类函数）</p>
<h1>JS与面向对象</h1>
<p>javascript使用prototype实现类的继承功能， 非经典面向对象语言的类的形式， 使用方法也不同， 导致使用较困难。</p>
<p>请参考大师的《<a href="http://www.cnblogs.com/wangfupeng1988/p/4001284.html" rel="external nofollow noreferrer">深入理解javascript原型和闭包系列</a>》 <a href="http://www.cnblogs.com/wangfupeng1988/p/4001284.html" rel="external nofollow noreferrer">http://www.cnblogs.com/wangfupeng1988/p/4001284.html</a></p>
<p>于是各种库都提供了自己实现类库， 例如:</p>
<p>1、 jquery class create： <a href="https://github.com/protonet/jquery-class-create" rel="external nofollow noreferrer">https://github.com/protonet/jquery-class-create</a></p>
<p>使用Class.Create创建实用类, 即实例的构造函数， 其缺点是用来jquery库</p>
<pre>&lt;pre&gt;</pre>
<pre><code>// properties are directly passed to `create` method
  var Person = Class.create({
    initialize: function(name) {
      this.name = name;
    },
    say: function(message) {
      return this.name + ‘: ‘ + message;
    }
  });</code>

<code>  // when subclassing, specify the class you want to inherit from
  var Pirate = Class.create(Person, {
    // redefine the speak method
    say: function($super, message) {
      return $super(message) + ‘, yarr!‘;
    }
  });</code>

<code>  var john = new Pirate(‘Long John‘);
  john.say(‘ahoy matey‘);
  // -&gt; "Long John: ahoy matey, yarr!"</code></pre>
<pre>&lt;/pre&gt;</pre>
<p>2、 prototypejs :&nbsp; <a href="http://prototypejs.org/learn/class-inheritance" rel="external nofollow noreferrer">http://prototypejs.org/learn/class-inheritance</a></p>
<p>作为prototypejs库的一个功能提供， 使用上跟jquery class create接口一致。</p>
<p>此库还提供， ajax和DOM优雅的接口， 消灭客户端开发的复杂性。</p>
<p>这两个库 要么依赖其他库， 要么自身库功能繁杂， 体积都大， 故单独使用的需求不满足。</p>
<p>本文介绍一个不依赖任何库、且实现上只包括类继承的库，&nbsp; 这位大神开发的独立库： John Resig http://ejohn.org/</p>
<p>Simple JavaScript Inheritance</p>
<h1>Simple JavaScript Inheritance</h1>
<p>此库的官网为</p>
<p><a href="http://ejohn.org/blog/simple-javascript-inheritance/" rel="external nofollow noreferrer">http://ejohn.org/blog/simple-javascript-inheritance/</a></p>
<p>作者的目标是 简单-容易被人理解， 可重用-不依赖其他库， 使用例子：</p>
<p>&lt;pre&gt;</p>
<ol>
<li>var Person = Class.extend({</p>
<li>init: function(isDancing){
<li>this.dancing = isDancing;
<li>},
<li>dance: function(){
<li>return this.dancing;
<li>}
<li>});
<li>
<li>var Ninja = Person.extend({</p>
<li>init: function(){
<li>this._super( false );
<li>},
<li>dance: function(){
<li>// Call the inherited version of dance()
<li>return this._super();
<li>},
<li>swingSword: function(){
<li>return true;
<li>}
<li>});
<li>
<li>var p = new Person(true);</p>
<li>p.dance(); // =&gt; true
<li>
<li>var n = new Ninja();</p>
<li>n.dance(); // =&gt; false
<li>n.swingSword(); // =&gt; true
<li>
<li>// Should all be true</p>
<li>p instanceof Person &amp;&amp; p instanceof Class &amp;&amp;
<li>n instanceof Ninja &amp;&amp; n instanceof Person &amp;&amp; n instanceof Class</li>
</ol>
<p>&lt;/pre&gt;</p>
<p>实现说明：</p>
<p>1、 创建构造函数必须简单， 构造函数只提供 init初始化方法。</p>
<p>2、 创建新类，必须扩展一个存在的类， 调用extend。</p>
<p>3、 所有的继承与唯一的祖先 Class。 创建的新类必须是Class的子类。</p>
<p>4、 子类中访问父类的同名方法（即被覆盖）必须提供。 通过this.super子类同名方法中调用父类同名方法。</p>
<h1>实现要点</h1>
<p>实现代码：</p>
<p>&lt;pre&gt;</p>
<ol>
<li>/* Simple JavaScript Inheritance</p>
<li>* By John Resig http://ejohn.org/
<li>* MIT Licensed.
<li>*/
<li>// Inspired by base2 and Prototype
<li>(function(){
<li>var initializing = false, fnTest = /xyz/.test(function(){xyz;}) ? /\b_super\b/ : /.*/;
<li>
<li>// The base Class implementation (does nothing)</p>
<li>this.Class = function(){};
<li>
<li>// Create a new Class that inherits from this class</p>
<li>Class.extend = function(prop) {
<li>var _super = this.prototype;
<li>
<li>// Instantiate a base class (but only create the instance,</p>
<li>// don‘t run the init constructor)
<li>initializing = true;
<li>var prototype = new this();
<li>initializing = false;
<li>
<li>// Copy the properties over onto the new prototype</p>
<li>for (var name in prop) {
<li>// Check if we‘re overwriting an existing function
<li>prototype[name] = typeof prop[name] == "function" &amp;&amp;
<li>typeof _super[name] == "function" &amp;&amp; fnTest.test(prop[name]) ?
<li>(function(name, fn){
<li>return function() {
<li>var tmp = this._super;
<li>
<li>// Add a new ._super() method that is the same method</p>
<li>// but on the super-class
<li>this._super = _super[name];
<li>
<li>// The method only need to be bound temporarily, so we</p>
<li>// remove it when we‘re done executing
<li>var ret = fn.apply(this, arguments);
<li>this._super = tmp;
<li>
<li>return ret;</p>
<li>};
<li>})(name, prop[name]) :
<li>prop[name];
<li>}
<li>
<li>// The dummy class constructor</p>
<li>function Class() {
<li>// All construction is actually done in the init method
<li>if ( !initializing &amp;&amp; this.init )
<li>this.init.apply(this, arguments);
<li>}
<li>
<li>// Populate our constructed prototype object</p>
<li>Class.prototype = prototype;
<li>
<li>// Enforce the constructor to be what we expect</p>
<li>Class.prototype.constructor = Class;
<li>
<li>// And make this class extendable</p>
<li>Class.extend = arguments.callee;
<li>
<li>return Class;</p>
<li>};
<li>})();</li>
</ol>
<p>&lt;/pre&gt;</p>
<p><strong>要点：</strong></p>
<p>1、初始化调用 xx.extend{init:function(){}} 中的 init执行初始化</p>
<li>// The dummy class constructor
<li>function Class() {
<li>// All construction is actually done in the init method
<li>if ( !initializing &amp;&amp; this.init )
<li>this.init.apply(this, arguments);
<li>}</li>
<p>2、 子类通过 this._super 访问父类的同名函数, 例如：</p>
<ol>
<li>var Person = Class.extend({</p>
<li>init: function(isDancing){
<li>this.dancing = isDancing;
<li>}
<li>});
<li>
<li>var Ninja = Person.extend({</p>
<li>init: function(){
<li>this._super( false );
<li>}
<li>});
<li>
<li>var p = new Person(true);</p>
<li>p.dancing; // =&gt; true
<li>
<li>var n = new Ninja();</p>
<li>n.dancing; // =&gt; false</li>
</ol>
<p>如下， 将儿子有此函数， 父亲也有此同名函数时候， 此函数中记录函数地址到this._super中。</p>
<blockquote><li>// Check if we‘re overwriting an existing function</p>
<li>prototype[name] = typeof prop[name] == "function" &amp;&amp;
<li>typeof _super[name] == "function" &amp;&amp; fnTest.test(prop[name]) ?
<li>(function(name, fn){
<li>return function() {
<li>var tmp = this._super;
<li>
<li>// Add a new ._super() method that is the same method</p>
<li>// but on the super-class
<li>this._super = _super[name];
<li>
<li>// The method only need to be bound temporarily, so we</p>
<li>// remove it when we‘re done executing
<li>var ret = fn.apply(this, arguments);
<li>this._super = tmp;
<li>
<li>return ret;</p>
<li>};
<li>})(name, prop[name]) :
<li>prop[name];
<li>}</li>
</blockquote>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-12 02:53:23 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>Simple JavaScript Inheritance--一个极简JS继承库的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MPXDWvM.html" rel="bookmark">Join Resig&amp;&num;39&semi;s   &OpenCurlyDoubleQuote;Simple JavaScript Inheritance &rdquo;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				======================Enein翻译========================= John Resig 写了一篇关于 JavaScript 里类似其它语言的 &quot;继承&quot;, 灵感来自于  base2 and PrototypeJS.  他为文章起名为&quot;Simple JavaScript Inheritance&quot; . 他使用的一些很巧妙的技术来实现 super 方法. 你还可以看原文也会有详细的说明, 他也在他的 &quot;Secrets o			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/Mzawby4.html" rel="bookmark">Simple JavaScript Inheritance&lbrack;转&rsqb;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				摘要:这篇文章介绍JavaScript的一种继承方式实现. 原文链接:https://johnresig.com/blog/simple-javascript-inheritance/ I've been doing a lot of work, lately, with JavaScript inheritance – namely for my work-in-progress JavaScript book – and in doing so have examined a number			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/02rjAz0.html" rel="bookmark">&amp;quot&semi;iOS push全方位解析（三）【译文】&amp;quot&semi;&mdash;&mdash;一个极简的demo，并测试一下push</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				这是一篇来自raywenderlich的教程,内容翔实!结构简单透彻.讲解循序渐进.文章质量上乘!是一篇难的的博文!使用半瓶的英语水平翻译了一下: 1. push的概述 2. 生成push证书,生成Provisioning Profile 3. 一个极简的demo,并测试一下push.(本博文) 这里查看原文 一个极简的demo 到目前为止,上面还不是做的还不够让人兴奋,但是那些准备工作还是很有必要的.本教程像你详细展示了如何生成证书,因为每天都会用到证书,而且没有证书push就不好.刚才你刚搞			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0l9PaE3.html" rel="bookmark">Simple JavaScript Inheritance</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1. [代码]Simple JavaScript Inheritance     (function(){  var initializing = false, fnTest = /xyz/.test(function(){xyz;}) ? /\b_super\b/ : /.*/; // The base Class implementation (does nothing)  this.Class = function(){};   // Create a new Class that inh			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0RnOD90.html" rel="bookmark">【转】手摸手，带你用vue撸后台 系列四&lpar;vueAdmin 一个极简的后台基础模板&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言 做这个 vueAdmin-template 的主要原因是: vue-element-admin 这个项目的初衷是一个vue的管理后台集成方案,把平时用到的一些组件或者经验分享给大家,同时它也在不断的维护和拓展中,比如最近重构了dashboard,加入了全屏功能,新增了tabs-view等等.所以项目会越来越复杂,不太适合很多初用vue的同学来构建后台.所以就写了这个基础模板,它没有复杂的功能,只包含了一个后台需要最基础的东西.vueAdmin-template 主要是基于vue-cli w			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MWvZnl4.html" rel="bookmark">一个极简的守护进程Bash脚本</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				由于最近写的Node.js程序因为一些Bug,会出现一些自动退出的问题,所以需要在它退出的时候及时发现,并重新启动 于是查阅了些资料,写了一个Bash的程序,功能十分简单,就是每隔3s判断一次处在6000端口的node程序是否正在运行,如果没有发现6000端口,那么执行启动程序的命令,已经使用了一段时间,感觉效果蛮好的,简单小巧,安全可靠,记录一下,以便以后使用. #!/bin/bash BASEDIR='/server' while true; do PRO_NOW=`netstat -tun			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0exAopM.html" rel="bookmark">飘逸的python - 实现一个极简的优先队列</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一个队列至少满足2个方法,put和get. 借助最小堆来实现. 这里按&quot;值越大优先级越高&quot;的顺序. #coding=utf-8 from heapq import heappush, heappop class PriorityQueue: def __init__(self): self._queue = [] def put(self, item, priority): heappush(self._queue, (-priority, item)) def get(self):			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0RD8jY4.html" rel="bookmark">一个极简游戏创意</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
							</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0k6yj7M.html" rel="bookmark">飘逸的python - 一个极简的event系统</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				event系统的核心至少满足: 1.存放事件的容器,可对事件添加删除 2.事件的触发fire 上代码. class Event(list): def __call__(self, *args, **kwargs): for f in self: f(*args, **kwargs) def f(arg): print 'execute with arg',arg e = Event() e.append(f) e('kzc')#触发事件 e.remove(f)			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/49ZZopM.html" rel="bookmark" class="title">Mybatis实现增删改查（二）</a>
					<div>
						1. 准备         请先完成Mybatis基本配置(一)的基本内容 2. 查询多条商品信息         1)在com.mybatis.dao.PartDao中增加接口函数 public L ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Mza8E84.html" rel="bookmark" class="title">Swift学习 （四）</a>
					<div>
						5.枚举与结构体: 不必给枚举成员提供一个值.如果我们想要为枚举成员提供一个值(raw value),我们可以用字符串,字符,整型或浮点数类型. 1 2 3 4 5 6 7 enum CompassP ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MGGvxaM.html" rel="bookmark" class="title">DVI与VGA有什么区别</a>
					<div>
						[DVI与VGA有什么区别] DVI接口的传输信号采用全数字格式,与之对应的是采用模拟信号的VGA接口. VGA和DVI的区别,首先VGA模拟信号的传输比较麻烦,首先是将电脑内的数字信号转换为模拟信号 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/47NjpR3.html" rel="bookmark" class="title">Python - 字母算术谜题</a>
					<div>
						如: SEND + MORE == MONEY  9567  + 1085  == 10652 字母和数字一一对应 首字母不为0 解法: import re from itertools import ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/41gJZo0.html" rel="bookmark" class="title">NPOI导出excel（带图片）</a>
					<div>
						近期项目中用到Excel导出功能,之前都是用普通的office组件导出的方法,今天尝试用下NPOI,故作此文以备日后查阅. 1.NPOI官网http://npoi.codeplex.com/,下载最新 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPdApPM.html" rel="bookmark" class="title">qt 5 小练习 纯代码制作自定义按钮</a>
					<div>
						大家都知道QT设计师中直接拖动的按钮是长方形带有圆角的图案,那我们如何来设置自定义按钮呢 要设计一个按钮,我们必须要知道按钮有什么属性,首先,按钮必须有一个位置 第二,按钮必须有一个名称.还有当我们点 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3Oa5A7M.html" rel="bookmark" class="title">set RowCount 与 top n</a>
					<div>
						有时,采用top n中间n它是一个变量,这将需要使用()去完成: declare @count1 int set @count1 = 8 select top &lt;strong&gt;(@coun ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0e55kb0.html" rel="bookmark" class="title">zend studio汉化</a>
					<div>
						在help菜单中选择Install New Software,在 work with栏中添加上这样的地址 http://archive.eclipse.org/technology/babel/upd ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3qvag74.html" rel="bookmark" class="title">崔希凡JavaWeb笔记day19-day21（2016年10月4日17&colon;38&colon;58）</a>
					<div>
						难点:jdbc分页查询,以及filter的几个案例 笔记分享如下 链接:http://pan.baidu.com/s/1o8NbI3o 密码:4fnc					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MXQnw80.html" rel="bookmark" class="title">PythonCrawl自学日志（3）</a>
					<div>
						2016年9月21日09:21:431.爬虫的抓取周期:(1)首先生成初始请求爬第一个url,并指定一个回调函数被称为与下载这些请求的响应.(2)第一个请求执行通过调用 start_requests( ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4A6wqDM.html" rel="bookmark" class="title">bootstrap file input 官方文档翻译</a>
					<div>
						file input 特性 1.这个插件会把简单的html文件变成一个更好用的文件选择输入控件,通过一个html的文件输入框,能兼容那些不支持jquery或js的浏览器. 2.fileinput 插件 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/M65ALJ4.html" rel="bookmark" class="title">非const引用不能指向临时变量</a>
					<div>
						没找到具体原因,MSDN看到下面这句,VC是从2008才有这一限制的,感觉就是从语法上对临时变量增加了限定,因为一般说来修改一个临时变量是毫无意义的,通过增加限定,强调临时变量只读语义.虽然实际上修改 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Mmo52n3.html" rel="bookmark" class="title">WIP 投料报 Invalid Serial Number</a>
					<div>
						1.接口表数据检查无误 2.同样数据界面能正常完成 界面做trace SQL ID: b2mw8gjyv7guh Plan Hash: 2015965341 DELETE FROM MTL_SERIA ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0xZWan4.html" rel="bookmark" class="title">全面剖析Smarty缓存机制一&lbrack;三种缓存方式&rsqb;</a>
					<div>
						今天主要全面总结下Smarty模板引擎中强大的缓存机制,缓存机制有效减少了系统对服务器的压力,而这也是很多开发者喜欢Smarty的原因之一,由于篇幅较大,便于博友阅读,这篇文章将剖析Smarty缓存的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/ME6Dly0.html" rel="bookmark" class="title">思科路由器交换机学习</a>
					<div>
						早上用cisco packet tracer练习配置cisco 3560交换机的时候发现在端口配置模式下无法配置端口的IP地址, Switch&gt;Switch&gt;enableSwitch#co ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4pgR1o3.html" rel="bookmark" class="title">CSS3中box-shadow的用法介绍</a>
					<div>
						一般我们通过box-shadow来设置盒阴影,但是有些属性我们一般没有用到,这篇文章将对box-shadow属性进行逐个分析.语法 CSS Code复制内容到剪贴板 E {box-shadow:ins ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0YLxbyM.html" rel="bookmark" class="title">Java NIO：IO与NIO的区别</a>
					<div>
						一.概念 NIO即New IO,这个库是在JDK1.4中才引入的.NIO和IO有相同的作用和目的,但实现方式不同,NIO主要用到的是块,所以NIO的效率要比IO高很多.在Java API中提供了两套N ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3OkWQg3.html" rel="bookmark" class="title">JSTL&comma; Can not find library tag descriptor</a>
					<div>
						最近出的一个异常:导入JSTL标签库和jsp页面声明了,都还是报错. 转载请注明出处  http://blog.csdn.net/pearyangyang/article/details/448687 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0Ym2vJ0.html" rel="bookmark" class="title">求子串-KPM模式匹配-NFA／DFA</a>
					<div>
						求子串 数据结构中对串的5种最小操作子集:串赋值,串比较,求串长,串连接,求子串,其他操作均可在该子集上实现 数据结构中串的模式匹配 KPM模式匹配算法 基本的模式匹配算法 //求字串subStrin ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/47EwKD0.html" rel="bookmark" class="title">URAL - 1427-SMS</a>
					<div>
						题目大意:给你长度为n的字符串(n&lt;=1e6),让你对它进行划分,如果一段里面只有字母和 空格可以包含m(m&lt;=1e5)个,如果有其他字符只能包含n个,问你最少需要分成几段. 思路:划分d ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.025 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
